Error
A valid request URL is required to generate request examples{
"status": "ready",
"chainId": 0,
"address": "<string>"
}{
"status": "provisioning",
"chainId": 0,
"retryAfterMs": 0
}{
"defined": true,
"code": "BAD_REQUEST",
"status": 400,
"message": "Invalid request",
"data": {
"error": "<string>"
}
}{
"defined": true,
"code": "NOT_FOUND",
"status": 404,
"message": "This campaign isn't accepting direct deposits",
"data": {
"error": "<string>"
}
}{
"defined": true,
"code": "CONFLICT",
"status": 409,
"message": "This campaign isn't accepting direct deposits",
"data": {
"error": "<string>"
}
}{
"defined": true,
"code": "TOO_MANY_REQUESTS",
"status": 429,
"message": "Rate limit exceeded",
"data": {
"error": "<string>"
}
}{
"defined": true,
"code": "SERVICE_UNAVAILABLE",
"status": 503,
"message": "Deposit address is not available yet",
"data": {
"error": "<string>"
}
}API Reference
Get or provision campaign donation-echo address
Lazy get-or-provision of a campaign Donation Echo deposit address for the given chain. May return 202 while provisioning.
GET
/
campaigns
/
{campaignId}
/
donation-echo
Error
A valid request URL is required to generate request examples{
"status": "ready",
"chainId": 0,
"address": "<string>"
}{
"status": "provisioning",
"chainId": 0,
"retryAfterMs": 0
}{
"defined": true,
"code": "BAD_REQUEST",
"status": 400,
"message": "Invalid request",
"data": {
"error": "<string>"
}
}{
"defined": true,
"code": "NOT_FOUND",
"status": 404,
"message": "This campaign isn't accepting direct deposits",
"data": {
"error": "<string>"
}
}{
"defined": true,
"code": "CONFLICT",
"status": 409,
"message": "This campaign isn't accepting direct deposits",
"data": {
"error": "<string>"
}
}{
"defined": true,
"code": "TOO_MANY_REQUESTS",
"status": 429,
"message": "Rate limit exceeded",
"data": {
"error": "<string>"
}
}{
"defined": true,
"code": "SERVICE_UNAVAILABLE",
"status": 503,
"message": "Deposit address is not available yet",
"data": {
"error": "<string>"
}
}Authorizations
Developer API key. Required for config create/list/delete and project analytics. Optional on public GET reads (anonymous callers are IP rate-limited). Obtain from the Developer dashboard.
Path Parameters
Campaign id
Minimum string length:
1Query Parameters
Chain id for the deposit address
Required range:
-9007199254740991 < x <= 9007199254740991Was this page helpful?